## org.eclipse.amp.agf
Class EditPartSourceProvider

    java.lang.Object
      org.eclipse.amp.agf.EditPartSourceProvider

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertySourceProvider

Direct Known Subclasses:
  AscapePropertiesSourceProvider

    public class EditPartSourceProvider

extends java.lang.Object
implements org.eclipse.ui.views.properties.IPropertySourceProvider

The Class EditPartSourceProvider.

Constructor Summary
`EditPartSourceProvider()`

Method Summary
`org.eclipse.ui.views.properties.IPropertySource` `getPropertySource(java.lang.Object object)`
`java.util.Map<java.lang.Object,org.eclipse.ui.views.properties.IPropertySource>` `getPropertySources()` Gets the property sources.
`protected java.lang.Object` `getSource(org.eclipse.gef.EditPart editPart)` Gets the source.
`void` `setPropertySources(java.util.Map<java.lang.Object,org.eclipse.ui.views.properties.IPropertySource> propertySources)` Sets the property sources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditPartSourceProvider

    public EditPartSourceProvider()

Method Detail

### setPropertySources

    public void setPropertySources(java.util.Map<java.lang.Object,org.eclipse.ui.views.properties.IPropertySource> propertySources)

  Sets the property sources.

  Parameters:
    `propertySources` - the property sources

### getPropertySources

    public java.util.Map<java.lang.Object,org.eclipse.ui.views.properties.IPropertySource> getPropertySources()

  Gets the property sources.

  Returns:
    the property sources

### getPropertySource

    public org.eclipse.ui.views.properties.IPropertySource getPropertySource(java.lang.Object object)

  Specified by:
    `getPropertySource` in interface `org.eclipse.ui.views.properties.IPropertySourceProvider`
  Parameters:
    `object` -
  Returns:
  See Also:
    `org.eclipse.amp.escape.ascape.adapt.BeanPropertySourceProvider#getPropertySource(java.lang.Object)`

### getSource

    protected java.lang.Object getSource(org.eclipse.gef.EditPart editPart)

  Gets the source.

  Parameters:
    `editPart` - the edit part
  Returns:
    the source